# acinclude.m4  -  macros used to create configuration script
#
# Copyright (C) 1996-2006 Gero Kuhlmann
#
# $Id: acinclude.m4,v 1.10 2005/11/13 20:14:24 gkminix Exp $
#
#
#
# Define a macro which can be used to run an assembler or compiler and
# act on its return code
#
# NB_CHECK_COMP(progname, programcode[, exec-if-true[, exec-if-false]])
#
AC_DEFUN([NB_CHECK_COMP],
[cat > conftest.test <<EOF
[$2]
EOF
AS_IF([AC_TRY_EVAL([$1 conftest.test])],
  [m4_ifvaln([$3], [$3])],
  [echo "$as_me: program exited with status $ac_status" >&AS_MESSAGE_LOG_FD
   echo "$as_me: failed program was:" >&AS_MESSAGE_LOG_FD
   sed 's/^/| /' conftest.test >&AS_MESSAGE_LOG_FD
   m4_ifvaln([$4], [$4])dnl]
)dnl
rm -f conftest*])


#
# Check if the C compiler understands a specific command line option
#
# NB_CHECK_CC_ARG(args[, exec-if-true[, exec-if-false]])
#
AC_DEFUN([NB_CHECK_CC_ARG],
[AC_REQUIRE([AC_PROG_CC])dnl
AC_CACHE_CHECK(whether ${CC-cc} accepts -[$1], ac_cv_prog_cc_[$1], [
    echo 'void f(){}' > conftest.c
    if test -z "`${CC-cc} -[$1] -c conftest.c 2>&1`"; then
      ac_cv_prog_cc_[$1]=yes
      m4_ifvaln([$2], [$2])dnl
    else
      ac_cv_prog_cc_[$1]=no
      m4_ifvaln([$3], [$3])dnl
    fi
  ])
rm -f conftest*])


#
# Walk through PATH running BODY for each `ac_dir'.
#
# This function changed names throughout different versions of autoconf,
# so we re-implement it here again.
#
# NB_PATH_WALK([PATH = $PATH], BODY)
#
AC_DEFUN([NB_PATH_WALK],
[IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${PATH_SEPARATOR-:}"
m4_bmatch([$1], [[:;]],
[nb_dummy="$1"
for ac_dir in $nb_dummy],
[for ac_dir in m4_default([$1], [$PATH])])
do
  IFS="$ac_save_ifs"
  if test -n "$ac_dir" && test -d "$ac_dir"; then
    $2
  fi
done
])

